Package Details: gotify-server-bin 2.0.20-1

Git Clone URL: https://aur.archlinux.org/gotify-server-bin.git (read-only, click to copy)
Package Base: gotify-server-bin
Description: A simple server for sending and receiving messages
Upstream URL: https://github.com/gotify/server
Keywords: gotify notify push
Licenses: MIT
Conflicts: gotify-server
Provides: gotify-server
Submitter: buckket
Maintainer: buckket
Last Packager: buckket
Votes: 2
Popularity: 0.000029
First Submitted: 2019-04-18 14:47
Last Updated: 2020-10-07 14:48

Latest Comments

caltlgin commented on 2020-10-07 17:54

@buckket Ah that fixed it. It might help to use source=("${pkgname}-${pkgver}.zip::${url}/releases/download/v${pkgver}/gotify-linux-amd64.zip") and similar for the config.example.yml which will help mitigate this issue in the future.

buckket commented on 2020-10-07 17:08

@caltlgin You probably still have the old gotify-linux-amd64.zip lying around. makepkg won’t overwrite it automatically. The checksum is correct. Just double checked.

caltlgin commented on 2020-10-07 16:38

Checksums are failing for gotify-linux-amd64.zip

==> Validating source files with sha256sums...
    gotify-linux-amd64.zip ... FAILED
    config.example.yml ... Passed
    gotify-arch-defaults.patch ... Passed
    gotify-server.tmpfiles ... Passed
    gotify-server.sysusers ... Passed
    gotify-server.service ... Passed
==> ERROR: One or more files did not pass the validity check!

RuneArch commented on 2020-01-12 18:12

Is it possible to modify this to detect the underlying host's CPU architecture and then download the relevant package?

For example, I've just tried running this on a RasPi and it's obviously the wrong one for me... but, I'd like to keep this package up to date.

Thanks